TOWLOWER(3) | Library Functions Manual | TOWLOWER(3)

# NAME

`towlower`, `towupper` — wide character case letter conversion utilities

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <wctype.h>`

wint_t
`towlower`(wint_t wc);

wint_t
`towupper`(wint_t wc);

# DESCRIPTION

The `towlower`() function converts an upper-case wide character to the corresponding lower-case letter. The `towupper`() function converts an lower-case wide character to the corresponding upper-case letter.

# RETURN VALUES

If the argument is an upper/lower-case letter, the `tolower`() function returns the corresponding counterpart if there is one; otherwise the argument is returned unchanged.

# SEE ALSO

tolower(3), toupper(3)

# STANDARDS

The functions conform to ISO/IEC 9899:1999 (“ISO C99”).

December 22, 2000 | NetBSD 11.0